# Generated by Django 2.0.1 on 2018-01-27 17:49

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0004_auto_20180127_1841'),
    ]

    operations = [
        migrations.CreateModel(
            name='Emitter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=300)),
                ('address', models.TextField()),
                ('zip_code', models.CharField(max_length=10)),
                ('city', models.CharField(max_length=100)),
                ('country', models.CharField(max_length=100)),
                ('phone', models.CharField(max_length=20)),
                ('fax', models.CharField(max_length=20)),
                ('siret', models.CharField(max_length=20)),
                ('vat_number', models.CharField(max_length=20)),
            ],
        ),
        migrations.AddField(
            model_name='document',
            name='emitter',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='documents', to='app.Emitter'),
        ),
    ]
